com.amazon.redshift.ssl

## Class DefaultJavaSSLFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - com.amazon.redshift.ssl.WrappedFactory
      - - com.amazon.redshift.ssl.DefaultJavaSSLFactory

    public class DefaultJavaSSLFactory
    extends WrappedFactory

Socket factory that uses Java's default truststore to validate server certificate. Note: it always validates server certificate, so it might result to downgrade to non-encrypted connection when default truststore lacks certificates to validate server.

### Field Summary

### Fields inherited from class com.amazon.redshift.ssl.WrappedFactory

`factory`

### Constructor Summary

Constructors
Constructor and Description
`DefaultJavaSSLFactory(Properties info)`

### Method Summary

### Methods inherited from class com.amazon.redshift.ssl.WrappedFactory

`createSocket, createSocket, createSocket, createSocket, createSocket, getDefaultCipherSuites, getSupportedCipherSuites`

### Methods inherited from class javax.net.ssl.SSLSocketFactory

`getDefault`

### Methods inherited from class javax.net.SocketFactory

`createSocket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultJavaSSLFactory

    public DefaultJavaSSLFactory(Properties info)